using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMExtConnConfigMap : APTEntityBaseMap<T_FM_EXT_CONN_CONFIG>
	{
		public override void Configure(EntityTypeBuilder<T_FM_EXT_CONN_CONFIG> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.CODE).HasMaxLength(100);
			builder.Property(t => t.NAME).HasMaxLength(100);
            builder.Property(t => t.NAME_ACRONYM).HasMaxLength(200);
            builder.Property(t => t.REMARK).HasMaxLength(400);
		} 
	}
}
